import { useEffect, useState } from 'react';
import { View } from '@tarojs/components'
import { getBarCodeList } from '@/services/user';

import './style.less'

export default (props) => {
  const { person } = props
  const [loading, setLoading] = useState(false)
  const [list, setList] = useState([])

  useEffect(() => {
    if (person && person.personId) {
      setLoading(true)
      getBarCodeList(person.personId, { start, end }).then((res) => {
        setList(res || [])
        setLoading(false)
      }).catch(err => {
        console.error(err)
        setLoading(false)
      })
    }
  }, [person])

  return (
    <View>
      
    </View>
  )
}
